Jump to content


Photo

4.1.1.0 Playback Errors - FreeNAS 11.2


  • Please log in to reply
50 replies to this topic

#1 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 08 May 2019 - 12:26 PM

Been getting a large number of "Playback Errors" since upgrading to 4.1.1.0. My personal observation is that it seems the playback errors only happen on files that have been added to the server since the 4.1.1.0 update. I completed the update on Sunday and cannot play any files that have been added to the server since then. If the file was on the server prior to the update, it plays with no issues. I also notice the large majority of these newly added files (around 90%) have no chapter images extracted.

 

Log attached. This was after a fresh reboot. Attempted to play The Flash S05E21. Tried both through the shield and through the web app. File plays fine on my laptop and also through Plex. 

Attached Files

  • Attached File  Log.txt   35.08MB   1 downloads


#2 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 140179 posts
  • Local time: 01:54 AM

Posted 08 May 2019 - 02:48 PM

How did you install?



#3 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 08 May 2019 - 03:46 PM

How did you install?

This was an upgrade from 4.0.2.0 (I believe, whatever the last stable version that supported FreeBSD 11 before things moved to 12). Used the same process I always use

service emby-server stop
pkg update
pkg upgrade
pkg add -f https://github.com/M...1.1.0_amd64.txz
service emby-server start

Edited by MRobi, 08 May 2019 - 08:08 PM.


#4 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 08 May 2019 - 03:54 PM

It appears to be the same error as this user

https://emby.media/c...41026/?p=737234

 

"libsmbclient.so.0" not found, required by "libavformat.so.58"



#5 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 140179 posts
  • Local time: 01:54 AM

Posted 13 May 2019 - 02:30 PM

Ok, the website will be updated with updated freenas install instructions in the next day or so:

https://emby.media/download.html

 

Thanks.



#6 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 15 May 2019 - 10:53 AM

Ok, the website will be updated with updated freenas install instructions in the next day or so:

https://emby.media/download.html

 

Thanks.

Over the past few days I tried numerous scenarios. I upgraded from 4.0.2.0 to stable 4.1.1.0. Upgraded to beta 4.2.0.5. Tried using quarterly package and latest package. Every time it presented the same error where new files added would not play. Installing 4.0.2.0 over the upgraded version would result in the same issue with 4.0.2.0. 

 

Ultimately I rolled that jail back to a snapshot with 4.0.2.0 and everything worked. I keep my config and database on a separate dataset outside of the jail so these weren't touched by the rollback and the files in the database that weren't playing on 4.1.1.0 played fine on 4.0.2.0 without even running a library update.

 

I then created a new jail with 4.1.1.0 as a fresh install and new jail with 4.2.0.5 with fresh install. When I tried to reload all settings from 4.0.2.0 with the backup plugin, it would crash emby and I would have to delete the config directory to recover. So I setup all the settings manually, setup all the libraries again and used trakt to import the watched states. Now I have 3 fully functioning versions of Emby running.

 

The issue seems to only occur when upgrading.

 

On a side note, having to use Plex for the 2 or 3 days of doing all this screwing around really brings a renewed appreciation to the usability and customization options presented by Emby. The interface on Plex just feels old and clunky.


  • Baenwort likes this

#7 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 140179 posts
  • Local time: 01:54 AM

Posted 15 May 2019 - 12:28 PM

Try this process here:
https://github.com/m...aster/README.md

#8 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 15 May 2019 - 01:08 PM

That process creates a new jail, that will not work to upgrade. I'm seeing no issues when creating a new jail with a fresh install, only when upgrading from 4.0.2.0.

 

This process is simply a script to simplify a new setup down into a few lines. I'm comfortable doing the process manually which worked for a new install. I do notice this process attempts to add a package for a file that doesn't exist. 

https://github.com/M...2.0.1_amd64.txz  

 

I'm assuming a type-o? @makarai


  • Baenwort likes this

#9 makarai OFFLINE  

makarai

    Advanced Member

  • Members
  • 510 posts
  • Local time: 07:54 AM

Posted 15 May 2019 - 01:37 PM

That process creates a new jail, that will not work to upgrade. I'm seeing no issues when creating a new jail with a fresh install, only when upgrading from 4.0.2.0.

 

This process is simply a script to simplify a new setup down into a few lines. I'm comfortable doing the process manually which worked for a new install. I do notice this process attempts to add a package for a file that doesn't exist. 

https://github.com/M...2.0.1_amd64.txz  

 

I'm assuming a type-o? @makarai

 

actually it was not a typo but instead luke took the emby server files offline i guess in the last 10 days or so, dont ask me why :D

 

I fixed the script and checked if 4.1.10 is actually working and it does with my 20 different test files.


Edited by makarai, 15 May 2019 - 01:50 PM.


#10 makarai OFFLINE  

makarai

    Advanced Member

  • Members
  • 510 posts
  • Local time: 07:54 AM

Posted 15 May 2019 - 01:44 PM

That process creates a new jail, that will not work to upgrade. I'm seeing no issues when creating a new jail with a fresh install, only when upgrading from 4.0.2.0.

 

This process is simply a script to simplify a new setup down into a few lines. I'm comfortable doing the process manually which worked for a new install. I do notice this process attempts to add a package for a file that doesn't exist. 

https://github.com/M...2.0.1_amd64.txz  

 

I'm assuming a type-o? @makarai

 

to upgrade you can follow my old post

 

Make sure you are on > freenas 11.2 u2

That your jail runs the quarterly packes

depending on what version you are coming from you might need to install imagemagick6 with 

pkg install graphics/ImageMagick6

and then upgrade, log into the jail shell: 

iocage console emby-server
service emby-server stop
pkg add -f https://github.com/MediaBrowser/Emby.Releases/releases/download/4.2.0.5/emby-server-freebsd11_4.2.0.5_amd64.txz
service emby-server start


#11 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 15 May 2019 - 02:12 PM

 

to upgrade you can follow my old post

 

Make sure you are on > freenas 11.2 u2

That your jail runs the quarterly packes

depending on what version you are coming from you might need to install imagemagick6 with 

pkg install graphics/ImageMagick6

and then upgrade, log into the jail shell: 

iocage console emby-server
service emby-server stop
pkg add -f https://github.com/MediaBrowser/Emby.Releases/releases/download/4.2.0.5/emby-server-freebsd11_4.2.0.5_amd64.txz
service emby-server start

I am on 11.2 U2 and that's exactly what I did (with a pkg update/upgrade as well) and results in the same issue every time. New files are added but result in a playback error. 

"libsmbclient.so.0" not found, required by "libavformat.so.58". The error has something to do with the package interacting with libx264. There's at least 2 other users who've posted this week with the same error coming up.

I initially had quarterly packages setup, but switched to latest based on @Luke 's post here https://emby.media/c...e-4#entry735902 Doesn't make any difference in the error.

 

I have no idea why a new install using libx264 would work but the upgrade causes an issue. There really should be no difference at all.   


  • Baenwort likes this

#12 makarai OFFLINE  

makarai

    Advanced Member

  • Members
  • 510 posts
  • Local time: 07:54 AM

Posted 15 May 2019 - 04:32 PM

have you tried just installing a new jail and porting over your settings? to see if its just a wonky jailsetup? 



#13 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 16 May 2019 - 08:08 AM

have you tried just installing a new jail and porting over your settings? to see if its just a wonky jailsetup? 

No, I did not try porting over my config folder as I wanted to be sure it built a new database. So I tried using the restore plugin to just restore the settings and it would crash the jail, emby would no longer boot. Only way to recover was to delete the config folder which brought it back to the startup wizard.



#14 makarai OFFLINE  

makarai

    Advanced Member

  • Members
  • 510 posts
  • Local time: 07:54 AM

Posted 16 May 2019 - 12:15 PM

No, I did not try porting over my config folder as I wanted to be sure it built a new database. So I tried using the restore plugin to just restore the settings and it would crash the jail, emby would no longer boot. Only way to recover was to delete the config folder which brought it back to the startup wizard.

 

I can write a detail explanation how to clone everything, if you like



#15 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 16 May 2019 - 02:50 PM

I can write a detail explanation how to clone everything, if you like

I cloned the jail many times during the process of trying different upgrade paths to different versions and with different package settings. It's better to clone from a snapshot than to do a true roll back


Edited by MRobi, 16 May 2019 - 02:51 PM.


#16 Kent OFFLINE  

Kent

    Advanced Member

  • Members
  • 264 posts
  • Local time: 02:54 AM

Posted 26 May 2019 - 09:15 AM

have you tried just installing a new jail and porting over your settings? to see if its just a wonky jailsetup? 

 

I'm in the same boat as MRobi.  At this point, what is advisable?  Do i start from scratch and copy the config over to a new jail?

 

Makarai can you outline steps on best course of action to upgrade to latest from 4.0.2.0 with maintaining watch status and configuration settings (if possible)?

 

Thanks!



#17 MRobi OFFLINE  

MRobi

    Advanced Member

  • Members
  • 271 posts
  • Local time: 02:54 AM

Posted 26 May 2019 - 10:42 AM

I'm in the same boat as MRobi. At this point, what is advisable? Do i start from scratch and copy the config over to a new jail?

Makarai can you outline steps on best course of action to upgrade to latest from 4.0.2.0 with maintaining watch status and configuration settings (if possible)?

Thanks!

I had to create a new jail and install from scratch. There was no combination of upgrade paths that I could make work without this error. When installing from scratch it worked flawlessly.

Sent from my LYA-L0C using Tapatalk

#18 makarai OFFLINE  

makarai

    Advanced Member

  • Members
  • 510 posts
  • Local time: 07:54 AM

Posted 27 May 2019 - 03:24 AM

I'm in the same boat as MRobi.  At this point, what is advisable?  Do i start from scratch and copy the config over to a new jail?

 

Makarai can you outline steps on best course of action to upgrade to latest from 4.0.2.0 with maintaining watch status and configuration settings (if possible)?

 

Thanks!

 

 

So i am running one of the more recent betas which runs flawless for me. (4.2.0.5) which has been taken offline from @Luke for whatever reason.

 

I tested the 4.1.1.0 also extensivly so i would give this a try, further when you upgrade you should always just leave your existing emby installation intakt and create a new emby install first and copy you settings folder over, thats what i do, and i have never lost data and it always worked flawless.

Typically you have to perform the following actions.

 

1. Install emby

2. mount media

3. Copy over old data (if it does not work at least your old emby ist still working)

 

Install new version of emby on freenas 11.2u4 using the shell, which is super easy and you cannot really break anything.

 

1. install latest stable.

cd /tmp
wget https://raw.githubusercontent.com/ma-karai/iocage-plugin-emby/master/emby-server.json
iocage fetch -P dhcp=on vnet=on bpf=yes allow_raw_sockets=1 -n emby-server.json --branch 'master' 

2. mount media (same folder names as before) via the gui

3. copy data with rsync

#example check your folder path for your jail TANK
rsync -vrlpogth /path_to_OLD_jail/root/var/db/emby-server/ /path_to_NEW_jail/root/var/db/emby-server/
rsync -vrlpogth /mnt/TANK/iocage/jails/emby-server-OLD/root/var/db/emby-server/ /mnt/TANK/iocage/jails/emby-server-NEW/root/var/db/emby-server/

4. restart the new emby installation and check if everthing works

 

As soon there is another great working beta i can write a detailed update


Edited by makarai, 27 May 2019 - 07:03 AM.

  • Kent, Baenwort and PhilWhite like this

#19 Jaslo OFFLINE  

Jaslo

    Member

  • Members
  • 17 posts
  • Local time: 02:54 AM

Posted 29 May 2019 - 10:00 PM

has anyone tried the the following BETA that was posted 27 hours ago? emby-server-freebsd11_4.2.0.10_amd64.txz?



#20 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 140179 posts
  • Local time: 01:54 AM

Posted 30 May 2019 - 12:39 AM

Yes, the latest 4.2.X beta resolves the playback issues of the earlier betas. It also completely removes the libsmb dependency, so that install conflict won't be a problem anymore.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users